Subject: bug#9793: 24.0.90; Unwanted tramp connection on eshell completion.

From: Michael Albinus <[email-masked]>
Date: Mon, 24 Oct 2011 14:25:11 +0200

Stefan Monnier <[email-masked]> writes:

> This looks like a workaround rather than a fix.  Also, I notice that in
> `shell' (rather than `eshell') the problem does not occur.  So I'd like
> to better understand what's going on.

In shell just the local file names are taken for completion. I don't
know how this is implemented, maybe via pcompletion tables?

In eshell, all file names are good for completion, also remote
ones. This is valid, because "cd /sudo::" is a valid command in
eshell. But this makes the trouble with the completion predicate
`file-directory-p'.

>         Stefan

Best regards, Michael.